from PySide import QtCore, QtGui
from exceptionwarning import ExceptionWarning as EW
import sharedpass
import ui_decodingpasswordsdialog

class DecodingPasswordsDialog(QtGui.QDialog):
    def __init__(self, parent):
        super(DecodingPasswordsDialog, self).__init__(parent)

        self.ui = ui_decodingpasswordsdialog.Ui_DecodingPasswordsDialog()
        self.ui.setupUi(self)
        self.decodingDone = False

    def closeEvent(self, e):
        e.ignore()

    # Make sure escape doesn't close the dialog
    def keyPressEvent(self, e):
        e.accept()

class DecodingThread(QtCore.QThread):
    def __init__(self, sp, parent):
        super(DecodingThread, self).__init__(parent)
        self.sp = sp
        self.results = None
        self.errmsg = ""

    def run(self):
        try:
            self.sp.checkCurrentPassphrase()
            self.results = self.sp.syncPassInfo()
        except Exception as e:
            self.errmsg = str(e)

def syncPassInfo(sharedPass, parent):
    dlg = DecodingPasswordsDialog(parent)
    decThread = DecodingThread(sharedPass, dlg)
    decThread.finished.connect(dlg.accept)
    decThread.start()
    dlg.exec_()

    return (decThread.results, decThread.errmsg)
    
