from PySide import QtCore, QtGui
from sherpassexception import SherPassException

logoDefault = [ "128 128 107 2 ",
"   c #000000",
".  c #0B0B06",
"X  c #040609",
"o  c #06090C",
"O  c #0B0B0B",
"+  c #16160D",
"@  c #090D12",
"#  c #0B1017",
"$  c #0E141C",
"%  c #131313",
"&  c #11171F",
"*  c #12181F",
"=  c #1B1B1B",
"-  c #252514",
";  c #2C2C18",
":  c #37371E",
">  c #101720",
",  c #131A24",
"<  c #151E2A",
"1  c #16212E",
"2  c #182432",
"3  c #1E2C3E",
"4  c #242424",
"5  c #2B2B2B",
"6  c #3F3F22",
"7  c #333333",
"8  c #3B3B3B",
"9  c #424223",
"0  c #4C4C29",
"q  c #53532D",
"w  c #5A5A31",
"e  c #606034",
"r  c #71713D",
"t  c #202E41",
"y  c #223245",
"u  c #25354A",
"i  c #27384E",
"p  c #293C54",
"a  c #2B3F58",
"s  c #2D415C",
"d  c #304662",
"f  c #334966",
"g  c #354C6B",
"h  c #375070",
"j  c #3A5375",
"k  c #3C567A",
"l  c #3E597D",
"z  c #444444",
"x  c #4A4A4A",
"c  c #555555",
"v  c #5B5B5B",
"b  c #7B7B42",
"n  c #626262",
"m  c #6C6C6C",
"M  c #737373",
"N  c #7C7C7C",
"B  c #8A8A4A",
"V  c #91914E",
"C  c #969651",
"Z  c #989852",
"A  c #A4A459",
"S  c #A9A95B",
"D  c #B6B662",
"F  c #BBBB65",
"G  c #C6C66B",
"H  c #D2D271",
"J  c #DADA76",
"K  c #E3E37A",
"L  c #EAEA7E",
"P  c #3F5B80",
"I  c #405D82",
"U  c #436187",
"Y  c #45648C",
"T  c #476790",
"R  c #476891",
"E  c #4A6B96",
"W  c #4C6E9A",
"Q  c #4E719E",
"!  c #4F73A1",
"~  c #5276A6",
"^  c #557BAD",
"/  c #577EB0",
"(  c #587FB2",
")  c #5981B4",
"_  c #5C85BB",
"`  c #5E88BF",
"'  c #5F89C0",
"]  c #618DC5",
"[  c #638FC8",
"{  c #6592CC",
"}  c #6795D0",
"|  c #6896D2",
" . c #6998D5",
".. c #6C9DDC",
"X. c #6FA1E1",
"o. c #70A2E3",
"O. c #808080",
"+. c #8B8B8B",
"@. c #939393",
"#. c #9B9B9B",
"$. c #A5A5A5",
"%. c #ABABAB",
"&. c #B4B4B4",
"*. c #BCBCBC",
"=. c #EFEF81",
"-. c #C0C0C0",
";. c None",
";.;.;.                                                                                                                                                                                                                                                    ;.;.;.",
";.;.                                                                                                                                                                                                                                                        ;.;.",
";.;.    y E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E E g     ;.;.",
";.;.    ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.>     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.{ W g y s Y _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o...g               3 ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o._ ,       - q : .     o T o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .$     e K =.=.=.L V .     ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.s     S =.=.=.=.=.=.=.H -   & ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.^     r =.=.=.=.=.=.=.=.=.F     g o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.] j , 1 u  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.j   + L =.=.=.=.=.=.=.=.=.=.w   < o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .T 3           y o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   0 =.=.=.=.=.=.=.=.=.=.=.C   X ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.^ a o       X 7 5     ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.#   b =.=.=.=.=.=.=.=.=.=.=.G     ) o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.{ j >         4 x N O.N %   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.$   r =.=.=.=.=.=.=.=.=.=.=.F     _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o...E 3         % 8 M O.O.O.O.O.8   @ ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.i   6 =.=.=.=.=.=.=.=.=.=.=.B   o o.o.o.o.o.o.o.o.o.o.o.o.o.o.) s O       X 5 v O.O.O.n x c m O.m     ~ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.l   . J =.=.=.=.=.=.=.=.=.=.9   2 o.o.o.o.o.o.o.o.o.o.o.{ l ,         = x N O.O.M z %       % M O.%   a o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.] X   0 =.=.=.=.=.=.=.=.=.Z     I o.o.o.o.o.o.o.o...W y         O 8 M O.O.N c 4   X     O     5 O.z   o ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.k     r L =.=.=.=.=.=.S .   3 o.o.o.o.o.o.o._ d @       X 5 v O.O.O.n 7 O       O x @.-.v     x m     W o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ; A J =.K D w     o ] o.o.o.o.| P <         = x N N O.M z %         7 N &.-.-.-.x     X N =   p o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .p         + X       , _ o.o...Q u         O 8 m O.O.N c 4 X       = n $.-.-.-.-.-.-.x       c z   o ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.W >               R o.] f @         5 v N O.O.n 8 O       O z +.-.-.-.-.-.-.-.-.-.+.      4 m     E o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.| ~ k j         y X       = x N N O.M z =         5 N &.-.-.-.-.-.-.-.-.-.-.-.&.O     X N =   i o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.&           X 8 n O.O.N v 5         % v $.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.x       c x   X  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.h           c O.O.O.x O         z +.*.-.*.&.N n M -.-.-.-.-.-.-.-.-.-.-.@.      7 M     R o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.'           c O.O.z       4 M &.-.-.-.-.*.4       x -.-.-.-.-.-.-.-.-.-.*.4     8 O.4   t o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<         4 O.O.O   5 #.-.-.*.-.-.-.*.n     O     M -.-.-.-.-.-.-.-.-.-.*.4   = O.x   X  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.k           N O.O   M -.-.-.-.-.-.-.-.7   = v =   % &.-.-.-.-.&.M c m -.-.O.    M M     T o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.[     3     4 O.%   z -.-.-.-.-.-.-.-.c   O v x     v -.-.*.O.%       z *.*.O   z N 4   3 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2   u #     v z   O &.-.-.-.-.-.-.-.@.    7 v 4   X %.%.8       O     O.-.z   = O.x     | o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.I     k     O n     O.-.-.-.-.-.-.-.*.8   O c c X   4 O     % x v O   n -.O.    m M X   Y o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.|     P X     = =   8 -.-.-.-.-.-.-.-.$.X   5 8 %       X 7 v v z     v -.*.O   z N 4   3 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   3 t       4   O &.-.-.-.-.-.-.-.-.c               7 v c 4     % &.-.-.x   % O.c     { o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.T     I             N -.-.-.-.-.-.-.*.&.O     X 4 O     7 X     = #.-.-.-.+.    m N     I o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .X   k X   O       8 *.-.-.-.-.-.-.%.z       8 4 8         X n *.-.-.-.-.*.    O m 4   2 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.u   2 y   =       X &.-.-.-.-.-.M O         8 4 8       7 $.-.-.-.-.-.-.@.      z c     ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.W     I     x       N -.-.-.$.5       7 X   X 5 O     X %.-.-.-.-.-.-.-.%.      O N X   l o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o...o   h X   x 5     5 -.-.*.4     = c v 7               x -.-.-.-.-.-.-.-.5       m 5   1 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.p   , 2   = N O     #.-.m     8 v v 8 X       % 8 5     #.-.-.-.-.-.-.-.M       8 c     ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.~           M v     = *.m   X v x =     X 4     c v O   5 -.-.-.-.-.-.-.%.      O N X   j o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.T           z O.%     v @.    O X     5 $.&.O   = v 8     O.-.-.-.-.-.-.-.5     X N 5   < o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.[ t       @ i   = O.z     v -.x       O N *.-.-.m     x v %   z -.-.-.-.-.-.-.+.O   O O.v     _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.I o     1     k     m 5     m -.-.M c m %.-.-.-.-.&.=   % v 4   4 -.-.-.-.-.-.-.-.N     N N O   j o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.    | o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.` 2     o Y o.$   s o   8       7 -.-.-.-.-.-.-.-.-.-.-.O.    O     x -.-.-.-.-.*.-.$.7     O.N 7   > o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.j X     u { o.o.g   # p   O   O     %.-.-.-.-.-.-.-.-.-.-.-.c       = &.-.-.-.-.&.N 7       8 O.O.v     ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.g   # W o.o.o.o._     j       z X   m -.-.-.-.-.-.-.-.-.-.-.-.N v M &.-.-.*.@.x O       X 8 O.O.O.n     ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o...g  .o.o.o.o.o.o.,   p       N 5   5 -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.%.n =         4 c N O.N M 8 O     } o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.j   o     O O.c     %.-.-.-.-.-.-.-.-.-.-.-.-.&.N 7         % z M N O.N c 4       X Q o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.]           m N X   m -.-.-.-.-.-.-.-.-.-.#.x O       X 7 n O.O.O.n 7 O       @ d _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     o   8 O.5   5 *.-.-.-.-.-.-.%.n 4         4 x N N O.M z %         t W ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.p     p   % O.v     $.-.-.-.*.N 7         % 8 M O.O.N c 4         > k { o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.[       g     n N O   v -.#.x O X     X 5 v N O.O.n 7 O       o s ( o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.s       t #   8 O.7     O         = x N N O.N z =         3 R ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.[     <     s   O O.N %       O 8 m O.N N c 5         $ j [ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.s   @ [ X   g     n O.M x z v O.O.O.m 8 O       o p ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.] X   j o.y   3 #   8 O.O.O.N O.N x %         2 T ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.s   @  .o.E     s   O O.O.N v 5         # j ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.]     k o.o. .X   d     5 8 O       X p ~ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.s   @  .o.o.o.p   1 s           2 Y  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.[     j o.o.o.o.!     _ u > > g ` o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.( , @  .o.o.o.o.o.@   j o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o...' o.o.o.o.o.o.s   > o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.~     _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.#   p o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.g $ y o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.) $   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.P       s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .y         s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o._ $     t 2   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.l X     l o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .y     # ^ o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o._ $     t | o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.    | o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.l       l o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .y     # ^ o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.) $     t | o.o.o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.P X     k o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.     .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .y     # ( o.o.o.o.o.o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    p ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.( $     t  .o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.        i _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.I X     k o.o.o.o.o.o.o.o.o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    X       y ( o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .y     # ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.    z 7 O       3 ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.p     t | o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c 7 O       2 Q o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.l   X o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.    x c c c c 7 %       < E X.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o._     _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    z c c c c c c 8 %       > T o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o...X   U o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c v 8 %       # I ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.2   p o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.    x c c c c c c c c c c z =       @ k  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.g   > o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    z c c c c c c c c c c c c z =       @ g | o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.W     } o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c z 4       X f { o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.|     Q o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c x 4         s [ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.>   g o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.<     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c 4 X       p ` o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.p   2 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c x 5 O       u _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.U   X X.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   3 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c x 5 O       3 ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o._     ( o.o.o.o.o.o.o.o.o.o.o.o.o.o.P     ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c 7 O       2 ~ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o   l o.o.o.o.o.o.o.o.o.o.o.o.o.o.X.>   2 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c 7 O       1 W o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.t   u o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.E     Q o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 7 %       , T o.o.o.o.o.o.o.o.o.o.o.o.o.j   # o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.1   , X.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 8 %       $ U ..o.o.o.o.o.o.o.o.o.o.^     [ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.~     Y o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c z %       # l ..o.o.o.o.o.o.o.o. .    R o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.3   # ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c z =       O j  .o.o.o.o.o.o.o.<   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o._     l o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    z c c c c c c c c c c c c c c c c v c c c c c c c c c c c c c v c c c c c c z =       o g | o.o.o.o.o.s   < o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.X.i   o  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 4 X     X d { o.o.o.E      .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.]     g o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 4         p ] o.]     ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.d   X [ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 5 X       i _ #   j o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.} X   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.>     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 5 X       #   3 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.j     ` o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 5 O         ^ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o. .@   y o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 7 O       2 ! o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.I     ( o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c v c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 8 O       < E X.o.o.o.o.o.o.o.o.o.o.o.o.o.X.&   2 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 8 %       > Y o.o.o.o.o.o.o.o.o.o.o.o.o.R     Q o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 8 %       # I ..o.o.o.o.o.o.o.o.o.o.o.1   < o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c z =       @ k  .o.o.o.o.o.o.o.o.o.~     T o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c z =       @ j | o.o.o.o.o.o.o.o.3   # ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.>     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x =       X f { o.o.o.o.o.o._     l o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 4       X s [ o.o.o.o.o.i   #  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.>     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 4 X       p _ o.o.o.]     g o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 4 X       u _ o.o.d   X { o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c v c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 5 O       t ^ { X   s o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.*     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 7 O       3 p   X ' o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.>     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 7 O           u o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.,     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 8 O         l X.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.&     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 8 %       $ U ..o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.*     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c v c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 8 =       # l  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.>     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c z =       @ k  .o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.*     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x =       o g | o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.*     ;.",
";.;.    z c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 4       X d { o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.*     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 4         s ] o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.&     ;.",
";.;.    x c c c c c c c c c c c c c c c c c c c c c c c c c c v c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c x 5 X       i _ o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.&     ;.",
";.;.    8 c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c c 5 X       y ) o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o     ;.",
";.;.    X = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = O X       # f g g g g g g g g g g g g g g g y     ;.;.",
";.;.                                                                                                                                                                                                                                                        ;.;.",
";.;.;.                                                                                                                                                                                                                                                    ;.;.;."  ]

logoGreen = [ "128 128 111 2 ",
"   c #000000",
".  c #050A06",
"X  c #0B0B06",
"o  c #070E09",
"O  c #0B0B0B",
"+  c #0A130C",
"@  c #0D190F",
"#  c #16160D",
"$  c #0E1B11",
"%  c #131313",
"&  c #101E13",
"*  c #1B1B1B",
"=  c #122316",
"-  c #152618",
";  c #162A1B",
":  c #182E1C",
">  c #1A311F",
",  c #252514",
"<  c #2C2C18",
"1  c #37371E",
"2  c #1C3722",
"3  c #1E3A24",
"4  c #242424",
"5  c #2B2B2B",
"6  c #203E26",
"7  c #3F3F22",
"8  c #333333",
"9  c #3B3B3B",
"0  c #214027",
"q  c #25462C",
"w  c #264A2D",
"e  c #284D2F",
"r  c #284E30",
"t  c #2A5233",
"y  c #2E5937",
"u  c #2F5B39",
"i  c #315E3A",
"p  c #34663E",
"a  c #424223",
"s  c #4C4C29",
"d  c #53532D",
"f  c #5A5A31",
"g  c #606034",
"h  c #71713D",
"j  c #376941",
"k  c #396E44",
"l  c #3B7246",
"z  c #3E7749",
"x  c #3E784A",
"c  c #444444",
"v  c #4A4A4A",
"b  c #555555",
"n  c #5B5B5B",
"m  c #417D4D",
"M  c #7B7B42",
"N  c #626262",
"B  c #6C6C6C",
"V  c #737373",
"C  c #7C7C7C",
"Z  c #43814F",
"A  c #448451",
"S  c #478954",
"D  c #498D57",
"F  c #4A8F58",
"G  c #4C925A",
"H  c #4F995E",
"J  c #509B5F",
"K  c #529E61",
"L  c #55A465",
"P  c #57A867",
"I  c #5AAD6A",
"U  c #5CB26E",
"Y  c #5FB871",
"T  c #61BC74",
"R  c #64C277",
"E  c #66C579",
"W  c #69CB7D",
"Q  c #8A8A4A",
"!  c #91914E",
"~  c #969651",
"^  c #989852",
"/  c #A4A459",
"(  c #A9A95B",
")  c #B6B662",
"_  c #BBBB65",
"`  c #C6C66B",
"'  c #D2D271",
"]  c #DADA76",
"[  c #E3E37A",
"{  c #EAEA7E",
"}  c #6DD482",
"|  c #71DA86",
" . c #73DE89",
".. c #75E38C",
"X. c #78E78E",
"o. c #79E98F",
"O. c #7CEE93",
"+. c #7EF396",
"@. c #808080",
"#. c #8B8B8B",
"$. c #939393",
"%. c #9B9B9B",
"&. c #A5A5A5",
"*. c #ABABAB",
"=. c #B4B4B4",
"-. c #BCBCBC",
";. c #80F798",
":. c #84FF9D",
">. c #EFEF81",
",. c #C0C0C0",
"<. c None",
"<.<.<.                                                                                                                                                                                                                                                    <.<.<.",
"<.<.                                                                                                                                                                                                                                                        <.<.",
"<.<.    e P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P P x     <.<.",
"<.<.     .:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:...I m w j J } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;.z               0 ..:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.} :       , d 1 X     o L :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.+.&     g [ >.>.>.{ ! X     R :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.p     ( >.>.>.>.>.>.>.' ,   = ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.E     h >.>.>.>.>.>.>.>.>._     x :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:. .m ; : t +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.m   # { >.>.>.>.>.>.>.>.>.>.f   : :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.+.L 6           t :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.w   s >.>.>.>.>.>.>.>.>.>.>.^     ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.R p .       . 8 8     T :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.$   M >.>.>.>.>.>.>.>.>.>.>.`     W :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:...A =         4 v C @.C %   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=   h >.>.>.>.>.>.>.>.>.>.>._     } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;.P q         % 9 V @.@.@.C @.9   + ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.y   7 >.>.>.>.>.>.>.>.>.>.>.Q   . :.:.:.:.:.:.:.:.:.:.:.:.:.:.W j +       . 5 n @.@.@.N v b V C B     T :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.D   X ] >.>.>.>.>.>.>.>.>.>.a   6 :.:.:.:.:.:.:.:.:.:.:.X.S ;         * v C @.@.V c %       % V @.%   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.| .   s >.>.>.>.>.>.>.>.>.^     G :.:.:.:.:.:.:.:.;.I e         O 9 V @.@.C b 4         O     5 @.c   o ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.S     h { >.>.>.>.>.>.( X   0 :.:.:.:.:.:.:.} k +       . 5 n @.@.@.N 8 O       O v $.,.n     v B     U :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     < / ] >.{ ) f     o  .:.:.:.:.O.G :         * v C @.@.V c *         8 C -.-.,.,.v     . C *   u :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.O.i         #         : W :.:.;.U t         O 9 B @.@.C b 4         * N *.,.-.,.,.,.,.v       b c   o ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.I =               L :.| l @         5 n C @.@.B 8 O       O c $.-.-.,.,.,.,.,.,.,.#.      4 B     P :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.O.T A A         t .       * v V @.C C c *         5 V =.,.-.,.,.,.,.,.,.,.,.,.-.O     . C *   t :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=           . 9 N C @.C n 5         % n &.-.,.,.,.,.,.,.,.,.,.,.,.,.,.-.v       b v   . +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.m           b @.@.@.v O         c #.-.,.-.-.C N V ,.,.,.,.,.,.,.,.,.,.,.$.      8 V     P :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.}           b @.@.c       4 V =.,.,.,.,.-.4       v -.,.,.,.,.,.,.,.,.,.-.4     9 @.4   w :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:         4 @.@.O   5 %.,.,.-.,.,.,.,.N     O     C ,.,.,.,.,.,.,.,.,.,.-.4   * @.v   . O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.S           C @.O   V -.,.,.,.,.,.,.,.8   * n *   % =.,.,.,.,.=.V b B ,.,.@.    V V     K :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:. .    0     4 @.%   c ,.,.,.,.,.,.,.,.b   O n v     n ,.,.-.@.%       c -.-.O   c C 4   q :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.6   t $     n c   O =.,.,.,.,.,.,.,.$.    8 n 4   . *.*.9       O     @.,.c   * @.v     O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.G   . S     O N     @.,.,.,.,.,.,.,.,.9   . b b .   4 O     % v n O   N ,.#.    B C     H :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.o.    G       * *   9 ,.,.,.,.,.,.,.,.&.    5 9 %       . 8 n n c     n ,.-.O   c C 4   0 :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.w   q w       4   . -.,.,.,.,.,.,.,.,.b               8 n b 4     % =.,.-.c   % @.b     ..:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.K     G             C ,.,.,.,.,.,.,.-.=.O     . 4 O     9 .     * %.,.,.,.#.    B C     G :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.+..   S .   O       9 -.,.,.,.,.,.,.*.c       9 4 9         . N -.,.,.,.-.-.    O B 5   3 :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.t   2 e   * .     . =.,.,.,.,.,.V O         9 4 9       8 &.,.,.,.,.,.,.$.      9 b     ..:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.I     G     c       C ,.,.,.&.5       8 .   . 5 O       *.,.,.,.,.,.,.,.*.      O C .   S :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;.o   m .   v 5     5 ,.,.-.4     * b n 9               v ,.,.,.,.,.,.,.,.5       B 5   : :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.i   : 3   * C O     %.,.N     9 n n 9         % 9 5     %.,.,.,.,.,.,.,.B       9 b      .:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.T           V n     * -.V   . n v *     . 4     v n O   5 ,.,.,.,.,.,.,.*.      O C .   A :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.L           c @.%     n $.    O .     5 &.=.O   4 n 9     @.,.,.,.,.,.,.,.5     . @.5   : :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:...w       o y   * @.c     n ,.v       O V ,.,.,.B     c n %   c ,.,.,.,.,.,.,.#.O   . @.n     } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.G .     >     S     B 5     B ,.,.V b B *.,.,.,.,.-.*   % n 4   4 ,.,.,.,.,.,.,.,.C     @.C .   m :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.} 3     o K :.=   j o   9       8 ,.,.,.,.,.,.,.,.,.,.-.#.    O     v ,.,.,.,.,.,.,.*.9     @.C 8   - :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.A .     t X.:.:.x   @ i   O   O     *.,.,.,.,.,.,.,.,.,.-.,.b       * =.,.,.,.,.-.V 8       9 @.@.n      .:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.x   $ I :.:.:.:.}     Z       9 .   B ,.,.,.,.,.,.,.,.,.,.,.,.C n V =.,.,.-.$.v O       O 9 @.@.@.n      .:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;.x O.:.:.:.:.:.:.;   p .   . C 5   5 ,.,.,.,.,.,.,.,.,.,.,.,.,.,.,.,.*.N *         4 b C @.@.B c O     o.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.Z   .     . @.b     *.,.,.,.,.,.,.,.,.,.,.,.,.=.C 8         % c V @.C C b 4       . U :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:. .          B C .   B ,.,.,.,.,.,.,.,.,.,.$.v O       . 8 N @.C @.N 8 .       + j } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     .   9 C 5   5 ,.,.,.,.,.,.,.*.N 4         4 v C C @.V c %         w P ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.i     i   % @.n     &.,.,.,.-.C 8         % 9 V @.@.C b 4         - S X.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:...      m     N C O   n ,.%.v O       . 5 n @.@.@.N 9 O       o j E :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.j       w $   9 @.8     O         4 v C C @.V c %         q L +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:...    :     j   O @.C %       O 9 B @.@.C b 5         = Z ..:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.p   + ...   z     N @.V v c n @.@.C B 8 O       . p R :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:. .    A :.e   0 &   9 @.@.@.C @.C v *         6 K +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.j   + +.:.P     j   O @.@.C n 5         & m  .:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:. .    S :.:.+.o   k     5 9 O       . u T :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.j   + +.:.:.:.y   2 p           2 J +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:. .    S :.:.:.:.U     } y - = z | :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.W ; + +.:.:.:.:.;.o   Z :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.| :.:.:.:.:.:.p   ; :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.T     W :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.$   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.z $ e :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.W =   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.2     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.F       p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.O.t         p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.W &     w 2   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.D     . S :.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.O.t     $ E :.:.q   j :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.E =     w O.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.D .     S :.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.O.t     $ E :.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.W &     w O.:.:.:.:.:.:.:.w   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.G .     S :.:.:.:.:.:.:.:.:.q   j :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.O.e     $ E :.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    i | :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.W &     w O.:.:.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.        y } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.G .     S :.:.:.:.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    .       e E :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.O.t     $ R :.:.:.:.:.:.:.:.:.:.:.:.:.:.w   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:     <.",
"<.<.    c 8 O       q T :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.p     w o.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.w   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b 8 O       2 U :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.D   . :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   j :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b 8 %       ; P :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.W     } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    c b b b b b b 9 %       - K :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;..   H :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b n 9 %       $ G +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.3   i :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.w   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b c *       @ S ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.z   = :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    c b b b b b b b b b b b b c *       o m o.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.U     o.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b c *       o k o.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.o.    U :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   j :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b n v 4       . p  .:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=   z :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b v 4 .       i } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.i   3 :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   j :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b v 5 .       t W :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.H   . ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.q   q :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b 5 o       w R :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.}     W :.:.:.:.:.:.:.:.:.:.:.:.:.:.H     R :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b 8 O       6 Y :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.o   F :.:.:.:.:.:.:.:.:.:.:.:.:.:.;.=   6 :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b n b b b b b b b b b b b b 8 O       : I :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.w   t :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.P     U :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 8 %       ; L :.:.:.:.:.:.:.:.:.:.:.:.:.Z   @ :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:   ; :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 9 %       = H +.:.:.:.:.:.:.:.:.:.:.T      .:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.T     K :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b n 9 %       $ F +.:.:.:.:.:.:.:.:.+.    P :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.0   $ +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b n b b b b b b c *       + A O.:.:.:.:.:.:.:.:   k :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.W     F :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b c *       o x o.:.:.:.:.:.j   : :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.y   o O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v 4 .     . k ..:.:.:.P     +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.|     z :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.;     <.",
"<.<.    v b b b b b b b b b b b b b b b n b b b b b b b b b b b b b b b b b b b b b b b b b v 4         p | :. .    T :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.k   . ..:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v 5 .       y } @   Z :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.o.o   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v 5 .       $   q :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.m     | :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 5 O       . T :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.+.+   t :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 8 O       2 U :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.G     E :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b n b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 8 O       : P :.:.:.:.:.:.:.:.:.:.:.:.:.:.;.=   6 :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 9 %       - K ;.:.:.:.:.:.:.:.:.:.:.:.:.P     U :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 9 %       $ G +.:.:.:.:.:.:.:.:.:.:.:.:   : ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b n 9 *       @ S +.:.:.:.:.:.:.:.:.:.T     L :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b c *       + m o.:.:.:.:.:.:.:.:.q   $ ;.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v *       O z ..:.:.:.:.:.:.W     D :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v 4       . j  .:.:.:.:.:.y   + O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b n b b b b b b b b b b n b b b b b b b b n v 4         i | :.:.:.| .   m :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b n b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 4 .       t } :.:.j   . ..:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 5 .       w R X.o   p :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 8 O       6 u   . | :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 8 O           t :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 9 O         D :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 9 %       = H +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 9 *       $ D +.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b n b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b c *       + A O.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v *       o m o.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    c b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v 4       . k X.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b n b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v 4         p | :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.=     <.",
"<.<.    v b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b v 5 .       y } :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.-     <.",
"<.<.    9 b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b b 5 .       e W :.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.:.o     <.",
"<.<.    . * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * O         $ k x z x x x x x x x x z x z x x e     <.<.",
"<.<.                                                                                                                                                                                                                                                        <.<.",
"<.<.<.                                                                                                                                                                                                                                                    <.<.<." ]

logoRed = [ "128 128 97 2 ",
"   c #000000",
".  c #0B0505",
"X  c #0B0B06",
"o  c #0B0B0B",
"O  c #130909",
"+  c #1B0D0D",
"@  c #16160D",
"#  c #131313",
"$  c #1B1B1B",
"%  c #200F0F",
"&  c #251212",
"*  c #2B1515",
"=  c #301717",
"-  c #361A1A",
";  c #3C1C1C",
":  c #252514",
">  c #2C2C18",
",  c #37371E",
"<  c #242424",
"1  c #2B2B2B",
"2  c #3F3F22",
"3  c #333333",
"4  c #3B3B3B",
"5  c #411E1E",
"6  c #472121",
"7  c #4B2323",
"8  c #512626",
"9  c #562929",
"0  c #5C2B2B",
"q  c #622E2E",
"w  c #673030",
"e  c #6A3232",
"r  c #733636",
"t  c #773838",
"y  c #7A3939",
"u  c #424223",
"i  c #4C4C29",
"p  c #53532D",
"a  c #5A5A31",
"s  c #606034",
"d  c #71713D",
"f  c #444444",
"g  c #4A4A4A",
"h  c #555555",
"j  c #5B5B5B",
"k  c #7B7B42",
"l  c #626262",
"z  c #6C6C6C",
"x  c #737373",
"c  c #7C7C7C",
"v  c #833E3E",
"b  c #874040",
"n  c #8B4141",
"m  c #924545",
"M  c #9B4949",
"N  c #A44D4D",
"B  c #A84F4F",
"V  c #AD5151",
"C  c #B25454",
"Z  c #B95757",
"A  c #BD5959",
"S  c #C45C5C",
"D  c #C95F5F",
"F  c #CD6060",
"G  c #D46464",
"H  c #D96767",
"J  c #DE6868",
"K  c #E36B6B",
"L  c #EB6E6E",
"P  c #EF7070",
"I  c #F47373",
"U  c #FB7676",
"Y  c #FF7878",
"T  c #8A8A4A",
"R  c #91914E",
"E  c #969651",
"W  c #989852",
"Q  c #A4A459",
"!  c #A9A95B",
"~  c #B6B662",
"^  c #BBBB65",
"/  c #C6C66B",
"(  c #D2D271",
")  c #DADA76",
"_  c #E3E37A",
"`  c #EAEA7E",
"'  c #808080",
"]  c #8B8B8B",
"[  c #939393",
"{  c #9B9B9B",
"}  c #A5A5A5",
"|  c #ABABAB",
" . c #B4B4B4",
".. c #BCBCBC",
"X. c #EFEF81",
"o. c #C0C0C0",
"O. c None",
"O.O.O.                                                                                                                                                                                                                                                    O.O.O.",
"O.O.                                                                                                                                                                                                                                                        O.O.",
"O.O.    7 B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B V B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B B V B B B B B B B B B B B B B B B y     O.O.",
"O.O.    K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y K V y 7 w M F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U U y               6 K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y F *       : p , X     . N Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y I %     s _ X.X.X.` R X     S U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y w     ! X.X.X.X.X.X.X.( :   & I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y S     d X.X.X.X.X.X.X.X.X.^     y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y K y * * 8 P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y y   @ ` X.X.X.X.X.X.X.X.X.X.a   = Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y I N ;           8 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 7   i X.X.X.X.X.X.X.X.X.X.X.W     I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y S q .       . 3 3     A Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y +   k X.X.X.X.X.X.X.X.X.X.X./     F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y K v &         < g c ' c #   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y %   d X.X.X.X.X.X.X.X.X.X.X.^     F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y I B 6         # 4 x ' ' ' c ' 4   O U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 0   2 X.X.X.X.X.X.X.X.X.X.X.T   . Y Y Y Y Y Y Y Y Y Y Y Y Y Y D w O       . 1 j ' ' ' l g h x c z     Z Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y n   X ) X.X.X.X.X.X.X.X.X.X.u   ; Y Y Y Y Y Y Y Y Y Y U L b *         $ h x ' ' x f #       # x ' #   q Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y H     i X.X.X.X.X.X.X.X.X.W     m Y Y Y Y Y Y Y Y U V 7         o 4 x ' ' c h <         o     1 ' f   . U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y n     d ` X.X.X.X.X.X.! o   5 Y Y Y Y Y Y Y F r O       . 1 j ' ' ' l 3 o       o g [ o.j     g z     C Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;     > Q ) X.` ~ a     . J Y Y Y Y P m *         $ g x ' ' x f #         3 c ....o.o.g     . c $   0 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y P 0         @         * F Y Y U C 8         o 4 z ' ' c h 1         $ l } o.o.o.o.o.o.g       h f   . I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y V &               N U H t O         1 j c ' ' l 4 o       o f ] o.o.o.o.o.o.o.o.o.]       < x     V Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y L Z b b         8 .       $ g c ' ' x f $         1 x  .o.o.o.o.o.o.o.o.o.o.o...o     . x $   9 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &           . 4 z ' ' c j 1         # j } o.o.o.o.o.o.o.o.o.o.o.o.o.o...g       h g   . P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y y           h ' c c g o         f ] ..o.....c l x o.o.o.o.o.o.o.o.o.o.o.[       3 x     B Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y H           h ' ' f       < x  .o.o.o.o...<       g o.o.o.o.o.o.o.o.o.o...<     4 ' $   7 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *         < ' ' o   1 { o.o.o.o.o.o.o.l     o     x o.o.o.o.o.o.o.o.o.o...<   $ ' g   . P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y b           c ' o   z o.o.o.o.o.o.o.o.3   $ j $   #  .o.o.o.o. .x h z o.o.'     x x     M Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U K     5     < ' #   f o.o.o.o.o.o.o.o.h   o j g     j o.o.o.' #       f ....o   f ' <   6 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;   8 +     j f   o  .o.o.o.o.o.o.o.[     3 j <   . } | 4       o     ' o.f   $ ' g     P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y m   . n     o l     ' o.o.o.o.o.o.o...4   o h h .   < o     # g j o   l o.'     z c     M Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y L     m       $ $   4 o.o.o.o.o.o.o.o.}     1 4 #       X 3 j j f     j o...o   f ' <   ; Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U 7   5 7       <   X ..o.o.o.o.o.o.o.o.h               3 j h <     #  .o.o.g   # ' h     K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y N     m             c o.o.o.o.o.o.o.o. .o     . < o     3 .     $ { o.o.o.]     z c     m Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y P .   b .   o       4 ..o.o.o.o.o.o.| f       4 < 4         . l ..o.o.o.o...    o z 1   ; Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 8   ; 7   $ .     .  .o.o.o.o.o.x o         4 < 4       3 } ..o.o.o.o.o.[       4 h     K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y V     m     f       c o.o.o.} 1       3 .   . 1 o     o | o.o.o.o.o.o.o.|       # c     b Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y I O   y .   g 1     1 o.o...<     $ h j 3               f o.o.o.o.o.o.o.o.1       z 1   = Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 0   * ;   $ c o     { o.z     3 j j 3 X       # 4 1     { o.o.o.o.o.o.o.z       4 h     J Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Z           x j     $ ..z   . j h #     X <     h j o   1 o.o.o.o.o.o.o.|       o c .   v Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y N           f ' #     j [     o       1 }  .o   $ j 4     ' o.o.o.o.o.o...3     . c 1   * Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y K 7       O 0   $ ' f     j o.g       o x o.o.o.z     g j #   g o.o.o.o.o.o.o.] o   o c j     H Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U m .     =     b     z 1     z o.o.x h z  .o.o.o.o...$   # h <   < o.o.o.o.o.o.o.o.c     ' c o   y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y H ;     O M Y +   w O   3       3 o.o.o.o.o.o.o.o.o.o.o.'     o     g o.o.o.o.o.o.o.| 3     ' c 3   & Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y b       8 K Y Y y   + 0   o   o     | o.o.o.o.o.o.o.o.o.o.o.h       $  .o.o.o.o. .c 1       4 ' ' j     J Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y y   + V Y Y Y Y F     b       f X   z o.o.o.o.o.o.o.o.o.o.o.o.c j x  .o.o...[ g o       X 4 ' ' ' l     J Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U y P U Y Y Y Y Y *   0 .   . x 1   1 o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.o.| l $         < h c ' c x 4 o   . L Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y v   .     X ' h     | o.o.o.o.o.o.o.o.o.o.o.o. .c 3         # f x c ' c h $       . C U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y J           z x .   z o.o.o.o.o.o.o.o.o.o.{ g o       . 3 l ' ' ' l 3 o       O e F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     .   4 ' 1   1 ..o.o.o.o.o.o.| l <         < g c c ' x f #         6 V U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 0     0   # ' j     } o.o.o...' 3         # 4 x ' ' c h <         & b K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U K .     y     l c o   j o.{ g o       . 3 j ' ' ' l 3 X       . w S Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y w       7 +   4 ' 3     o         $ g x ' ' x f $         6 N I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y K     *     w   o ' c #       o 4 z ' ' c h 1         % v K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y w   O K .   y     l ' x g f j ' ' ' z 3 o       . q S Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y K     v Y 8   ; %   4 ' ' ' c ' c g $         5 M I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y w   O I Y B     w   o ' ' c j 1         % y J Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y J     b Y Y I .   r     1 4 o       . 0 Z Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U w   O P Y Y Y 0   = q           ; M P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y K     b Y Y Y Y C     H 9 * & t H U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U S * O P Y Y Y Y U O   y Y Y Y U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U H Y Y Y Y Y Y w   & Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y -     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y A     F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U +   q Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U t % 7 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y F %   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y n       w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y P 8         w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y F %     7 -   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y n     . b Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y P 8     + S Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y F +     7 P Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y n .     b Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y P 8     + S Y Y Y Y Y U 7   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y F +     7 P Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y m       b Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y P 8     + S Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    0 H Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y F +     7 P Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.        0 F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y m .     b Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    .       7 S Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y P 7     + S Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    f 3 o       6 A Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y q     7 L Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h 3 o       - C Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y n   . Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h 3 #       * B Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y D     F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    f h h h h h h 4 $       & M U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U .   M Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h 4 #       % m I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y ;   0 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h f $       O b I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y t   & U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    f h h h h h h h h h h h h f $       O y P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y C     L Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h h h f <       . r K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y L     C Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h h h h h g <       . w J Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y U &   t Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h < .       0 H Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 0   ; Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h g 1         8 F Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y M   . U Y Y Y Y Y Y Y Y Y Y Y Y Y Y 7   6 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h 1 O       6 S Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y G     S Y Y Y Y Y Y Y Y Y Y Y Y Y Y m     S Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h 3 o       ; Z Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y O   m Y Y Y Y Y Y Y Y Y Y Y Y Y Y U %   ; Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h 3 o       = V Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 7   8 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y B     C U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 3 #       * N U Y Y Y Y Y Y Y Y Y Y Y Y v   O Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y =   * U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 4 #       % M I Y Y Y Y Y Y Y Y Y Y A     J Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Z     M Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h f #       + n I Y Y Y Y Y Y Y Y I     B Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 6   + U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h f $       O v P Y Y Y Y Y Y Y =   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y F     b Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    f h h h h h h h h h h h h h h h h j h h h h h h h h h h h h h j h h h h h h f $       . t L Y Y Y Y Y w   = Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y 9   O P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g < .     . r K Y Y Y B     P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y J     t Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g <         q H Y J     A Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y e   . K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g 1 .       0 F O   v Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y L O   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g 1 .       +   7 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y y     H Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 1 o         A Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y I O   8 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 3 O       ; C Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y m     S Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y *     O.",
"O.O.    g h h h h h h h h h h h h j h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 3 #       * B Y Y Y Y Y Y Y Y Y Y Y Y Y Y U %   ; Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 4 #       & M U Y Y Y Y Y Y Y Y Y Y Y Y B     C Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 4 #       + m I Y Y Y Y Y Y Y Y Y Y Y =   * U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h f $       + b P Y Y Y Y Y Y Y Y Y Z     N Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h f $       . v L Y Y Y Y Y Y Y Y 6   + U Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g <       . r K Y Y Y Y Y Y F     n Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g <       . w J Y U Y Y Y 9   O P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g < .       0 H Y Y Y H .   y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 1         8 D Y Y w   . K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h j h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 1 o       7 S L .   w Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 3 o       ; 0     H Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 4 o           9 Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 4 o         n Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 4 #       % M I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y $     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h j h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 4 $       + n I Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h f $       O v P Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h f $       . y L Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    f h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g < .     . r K Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g <         w H Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y %     O.",
"O.O.    g h h h h h h h h h h h h h h h h h h h h h h h h h j h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h g 1 .       9 G Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y Y &     O.",
"O.O.    4 h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h h 1 X       7 F Y Y Y U Y U Y U Y Y U Y Y Y Y Y Y Y O     O.",
"O.O.    . $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ $ o         + r y y y y y t y y t y y t y t y 7     O.O.",
"O.O.                                                                                                                                                                                                                                                        O.O.",
"O.O.O.                                                                                                                                                                                                                                                    O.O.O." ]

logo = None

def clearCustomLogo():
    global logo
    logo = None

def getPixmap():
    global logo

    if not logo:
        logo = QtGui.QPixmap(logoDefault)
    return logo

def setImage(img):
    global logo

    if img.width() != 128 or img.height() != 128:
        raise SherPassException("Logo image must be 128x128")

    logo = QtGui.QPixmap.fromImage(img)

def setPixmap(p):
    global logo

    if p.width() != 128 or p.height() != 128:
        raise SherPassException("Logo image must be 128x128")

    logo = p

def getLogo():
    return QtGui.QIcon(getPixmap())

def getInternalPixmaps():
    obj = { "default": QtGui.QPixmap(logoDefault), 
            "red": QtGui.QPixmap(logoRed),
            "green": QtGui.QPixmap(logoGreen) }

    return obj
