#!/usr/bin/env python

from PySide import QtCore, QtGui
from exceptionwarning import ExceptionWarning as EW
import ui_newpassworddialog
import copy

class NewPasswordDialog(QtGui.QDialog):
    def __init__(self, parent):
        super(NewPasswordDialog, self).__init__(parent)

        self.ui = ui_newpassworddialog.Ui_NewPasswordDialog()
        self.ui.setupUi(self)

        self.ui.okButton.clicked.connect(EW(self.onOk))
        self.ui.cancelButton.clicked.connect(self.reject)
        self.ui.showCheckBox.clicked.connect(EW(self.onPasswordShowClicked))
        self.password = None

    def onOk(self):
        pass1 = self.ui.passwordEdit.text()
        pass2 = self.ui.passwordRepeatEdit.text()
        if len(pass1) < 7:
            QtGui.QMessageBox.warning(self, "Bad length", "Password length must be at least 7 characters")
            return

        if pass1 != pass2:
            QtGui.QMessageBox.warning(self, "Bad match", "Entered passwords are not the same")
            return

        self.password = pass1
        self.accept()

    def onPasswordShowClicked(self):
        mode = QtGui.QLineEdit.Normal if self.ui.showCheckBox.checkState() == QtCore.Qt.Checked else QtGui.QLineEdit.Password
        self.ui.passwordEdit.setEchoMode(mode)

    def getPassword(self):
        return self.password

