#!/usr/bin/env python

from PySide import QtCore, QtGui
from exceptionwarning import ExceptionWarning as EW
import ui_passphrasedialog
import logo

class PassphraseDialog(QtGui.QDialog):
    def __init__(self, parent):
        super(PassphraseDialog, self).__init__(parent)

        self.ui = ui_passphrasedialog.Ui_PassphraseDialog()
        self.ui.setupUi(self)

        self.ui.okButton.clicked.connect(EW(self.onOk))
        self.ui.sherpassIcon.setPixmap(logo.getPixmap())
        self.ui.passphraseEdit.returnPressed.connect(EW(self.onOk))

        self.passPhrase = None

    def closeEvent(self, e):
        e.ignore()

    def onOk(self):
        self.passPhrase = self.ui.passphraseEdit.text()
        self.accept()

    def getPassphrase(self):
        return self.passPhrase;

    # Make sure escape doesn't close the dialog
    def keyPressEvent(self, e):
        e.accept()
