from PySide import QtGui, QtCore
from exceptionwarning import ExceptionWarning as EW

class PopupMenu(QtGui.QMenu):
    def __init__(self, parent):
        super(PopupMenu, self).__init__(parent)
        
        self.passInfo = None

        desc = QtGui.QAction("Copy description", self)
        host = QtGui.QAction("Copy hostname", self)
        login = QtGui.QAction("Copy login", self)
        password = QtGui.QAction("Copy password", self)
        info = QtGui.QAction("Copy info field", self)

        self.addAction(desc)
        self.addAction(host)
        self.addAction(login)
        self.addAction(password)
        self.addAction(info)

        desc.triggered.connect(EW(self.onCopyDescription, False))
        host.triggered.connect(EW(self.onCopyHostname, False))
        login.triggered.connect(EW(self.onCopyLogin, False))
        password.triggered.connect(EW(self.onCopyPassword, False))
        info.triggered.connect(EW(self.onCopyInfo, False))

    def process(self, passInfo, globalX, globalY):
        self.passInfo = passInfo
        self.exec_(QtCore.QPoint(globalX, globalY))

    def onCopyDescription(self):
        self.copy("description")

    def onCopyHostname(self):
        self.copy("host")

    def onCopyLogin(self):
        self.copy("login")

    def onCopyPassword(self):
        self.copy("password")

    def onCopyInfo(self):
        self.copy("extra")

    def copy(self, fieldName):
        clip = QtGui.QApplication.clipboard()
        clip.setText(self.passInfo[fieldName])


