#!/usr/bin/env python

import os
from sherpassexception import SherPassException
import randomstring

print "Setting tempDirBase to None"
tempDirBase = None

def setTempDirBase(s):

    if not os.path.exists(s):
        os.makedirs(s, 0700)
    else:
        if not os.path.isdir(s):
            raise SherPassException("Path '%s' exists, but is not a directory and therefore cannot be used as a base for temporary directories" % s)

    # Get the absolute path
    s = os.path.abspath(s)

    print "Set base dir for temporary directories to", s

    global tempDirBase
    tempDirBase = s

def getTempDir():
    if not tempDirBase:
        raise SherPassException("No temporary directory base has been set")

    subDir = randomstring.getRandomString(16)
    fullDir = os.path.join(tempDirBase, subDir)
    os.makedirs(fullDir, 0700)

    return fullDir

